dehydrated-cron(1)

Name
dehydrated-cron - dehydrated cronjob for automatic certificate renewal

Synopsis
dehydrated-cron

Description

dehydrated is a client for ACME-based Certificate Authorities, such as LetsEncrypt. It can be used to request and obtain TLS certificates from an ACME-based certificate authority.

The dehydrated-cron script runs dehydrated once per day and on system reboot for an automatic certificate renewal.

It uses the dehydrated '--keep-going' option to keep going after encountering an error while creating/renewing multiple certificates. Afterwards it also removes all unused certificates by using the dehydrated '--cleanup-delete' option.

Usage

  Installation
sudo ln -s /usr/bin/dehydrated-cron /etc/cron.d/dehydrated

  Removal
sudo rm -f /etc/cron.d/dehydrated

Files

The following files are used:

    /etc/cron.d/dehydrated:
        cronjob file.

    /usr/bin/dehydrated-cron:
        script that gets executed by cron.

    /var/log/dehydrated/dehydrated.log
        logfile for dehydrated-cron.

See also
dehydrated(1),
dehydrated-hook(1),
dehydrated-nsupdate(1).

Homepage

More information about dehydrated-tools-extra can be found on the homepage (<https://open-infrastructure.net>).

Contact

Bug reports, feature requests, help, patches, support and everything else are welcome on <https://git.open-infrastructure.net>.

Debian specific bugs can also be reported in the Debian Bug Tracking System (<https://bugs.debian.org>).

Authors

dehydrated-tools-extra was written by Daniel Baumann <<daniel@debian.org>>.